templates:
- github
- setuptools
- base

catalog:
  title: CITKat
  description: A human readable representation of CITK recipes.

variables:
  keywords:
  - citk
  - toolkit
  - CITKat
  - catalog
  recipe.maintainer:
  - mwiechmann@techfak.uni-bielefeld.de

  python.version: '3'

  github.user: rdtk
  github.project: citkat

  branches:
  - master
  tags:
  - v0.2.2

  extra-requires:
  - nature: program
    target: nodejs
  - nature: program
    target: npm

  platform-requires:
    ubuntu:
      packages:
      - python3
      - python3-setuptools
      - python3-dev
      - libxml2-dev
      - libxslt1-dev
      - zlib1g-dev
      - '@{next-value|[]}'

  setuptools.prepare.command: PATH="$PATH:${toolkit.dir}/bin";${next-value}

  junit.pattern: false
